Topic
  • 3 replies
  • Latest Post - ‏2018-12-06T12:58:13Z by oester
veerabose
veerabose
2 Posts

Pinned topic GPFS upgrade from 3.4 to 4.1

‏2018-12-05T13:10:01Z |

Hi Experts,

 

We have GPFS cluster running in 3.4 version OS is SLES for SAP Applications  11  (Sp2)

# rpm -qa | grep -i gpfs
gpfs.gpl-3.4.0-19
gpfs.msg.en_US-3.4.0-19
gpfs.docs-3.4.0-19
gpfs.base-3.4.0-19
#
# cat /etc/*issue*
Welcome to SLES for SAP Applications  11.2 (x86_64) - Kernel \r (\l).

Welcome to SLES for SAP Applications  11.2  (x86_64) - Kernel %r (%t).
#

Q1. Can we upgrade GPFS version from 3.4 to 4.1, is it supported ?, could you please point the link for the upgrade procedure?

Q2. where can I get the base version of 3.4?  I can see only the fixpacks in fix central to download but not the base package?

  • oester
    oester
    259 Posts
    ACCEPTED ANSWER

    Ответ: GPFS upgrade from 3.4 to 4.1

    ‏2018-12-05T13:26:59Z  

    GPFS 3.4 was End-of-Service in 2015.

    GPFS 4.1 Will be end of service in April 2019 

    You cannot download base packages of 3.4 since that version is out of service. When you purchased the software, you should have received them. Base packages can be found on Passport Express.

     

    I would suggest you upgrade to V4.2. You can't do a rolling upgrade from 3.4 to that level, it's going to be a multi step process. You could go 3.4->4.1->4.2. 

     

    Bob Oesterlin

    Nuance Communications.

     

  • oester
    oester
    259 Posts

    Ответ: GPFS upgrade from 3.4 to 4.1

    ‏2018-12-05T13:26:59Z  

    GPFS 3.4 was End-of-Service in 2015.

    GPFS 4.1 Will be end of service in April 2019 

    You cannot download base packages of 3.4 since that version is out of service. When you purchased the software, you should have received them. Base packages can be found on Passport Express.

     

    I would suggest you upgrade to V4.2. You can't do a rolling upgrade from 3.4 to that level, it's going to be a multi step process. You could go 3.4->4.1->4.2. 

     

    Bob Oesterlin

    Nuance Communications.

     

  • veerabose
    veerabose
    2 Posts

    Re: Ответ: GPFS upgrade from 3.4 to 4.1

    ‏2018-12-06T11:50:12Z  
    • oester
    • ‏2018-12-05T13:26:59Z

    GPFS 3.4 was End-of-Service in 2015.

    GPFS 4.1 Will be end of service in April 2019 

    You cannot download base packages of 3.4 since that version is out of service. When you purchased the software, you should have received them. Base packages can be found on Passport Express.

     

    I would suggest you upgrade to V4.2. You can't do a rolling upgrade from 3.4 to that level, it's going to be a multi step process. You could go 3.4->4.1->4.2. 

     

    Bob Oesterlin

    Nuance Communications.

     

    Hi Bob,

    Thanks for your time and response.
     
    Im looking to build a new similar Environment as production i.e (SLES 11 sp2 with GPFS 3.4.0-19) and would like to upgrade SLES sp4 with GPFS 4.2.
     
    I got the base version 3.4.0.0, when it tried to install, getting the below error.

     

    suse3:/usr/lpp/mmfs/src # cat /etc/*release*
    LSB_VERSION="core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:core-2.0-x86_64:core-3.2-x86_64:core-4.0-x86_64"
    cat: /etc/lsb-release.d: Is a directory
    SUSE Linux Enterprise Server 11 (x86_64)
    VERSION = 11
    PATCHLEVEL = 2
    suse3:/usr/lpp/mmfs/src # uname -r
    3.0.13-0.27-default
    suse3:/usr/lpp/mmfs/src

    suse3:~/GPFS3.4 # ./gpfs_install-3.4.0-0_x86_64 --text-only

    Extracting License Acceptance Process Tool to /usr/lpp/mmfs/3.4 ...
    tail -n +424 ./gpfs_install-3.4.0-0_x86_64 | /bin/tar -C /usr/lpp/mmfs/3.4 -xvz --exclude=*rpm --exclude=*tgz 2> /dev/null 1> /dev/null

    Installing JRE ...
    tail -n +424 ./gpfs_install-3.4.0-0_x86_64 | /bin/tar -C /usr/lpp/mmfs/3.4 --wildcards -xvz  ./ibm-java2-jre-5.0-9.0-linux-x86_64.tgz 2> /dev/null 1> /dev/null

    Invoking License Acceptance Process Tool ...
    /usr/lpp/mmfs/3.4/ibm-java2-x86_64-50/jre/bin/java -cp /usr/lpp/mmfs/3.4/LAP_HOME/LAPApp.jar com.ibm.lex.lapapp.LAP -l /usr/lpp/mmfs/3.4/LA_HOME -m /usr/lpp/mmfs/3.4 -s /usr/lpp/mmfs/3.4  -text_only

    License Agreement Terms accepted.

    Extracting Product RPMs to /usr/lpp/mmfs/3.4 ...
    tail -n +424 ./gpfs_install-3.4.0-0_x86_64 | /bin/tar -C /usr/lpp/mmfs/3.4 --wildcards -xvz  ./gpfs.base-3.4.0-0.x86_64.rpm ./gpfs.docs-3.4.0-0.noarch.rpm ./gpfs.gpl-3.4.0-0.noarch.rpm ./gpfs.msg.en_US-3.4.0-0.noarch.rpm 2> /dev/null 1> /dev/null

       - gpfs.base-3.4.0-0.x86_64.rpm
       - gpfs.docs-3.4.0-0.noarch.rpm
       - gpfs.gpl-3.4.0-0.noarch.rpm
       - gpfs.msg.en_US-3.4.0-0.noarch.rpm

    Removing License Acceptance Process Tool from /usr/lpp/mmfs/3.4 ...

    rm -rf  /usr/lpp/mmfs/3.4/LAP_HOME /usr/lpp/mmfs/3.4/LA_HOME
    suse3:~/GPFS3.4 #

    suse3:~/GPFS3.4 # cd /usr/lpp/mmfs/3.4/
    suse3:/usr/lpp/mmfs/3.4 # ls
    gpfs.base-3.4.0-0.x86_64.rpm  gpfs.docs-3.4.0-0.noarch.rpm  gpfs.gpl-3.4.0-0.noarch.rpm  gpfs.msg.en_US-3.4.0-0.noarch.rpm  license  status.dat
    suse3:/usr/lpp/mmfs/3.4 #

    suse3:/usr/lpp/mmfs/3.4 # rpm -ivh *.rpm
    Preparing...                ########################################### [100%]
       1:gpfs.base              ########################################### [ 25%]
       2:gpfs.docs              ########################################### [ 50%]
       3:gpfs.gpl               ########################################### [ 75%]
       4:gpfs.msg.en_US         ########################################### [100%]
    suse3:/usr/lpp/mmfs/3.4 #
    suse3:/usr/lpp/mmfs/3.4 # cd /usr/lpp/mmfs/src
    suse3:/usr/lpp/mmfs/src # ls
    config  gpl-linux  ibm-kxi  ibm-linux  makefile  README
    suse3:/usr/lpp/mmfs/src # make Autoconfig
    cd /usr/lpp/mmfs/src/config; ./configure --genenvonly; /usr/bin/cpp -P def.mk.proto > ./def.mk; exit $? || exit 1
    Cannot parse kernel version 3.0.13-0.27-default
    def.mk.proto:12:19: error: env.mcr: No such file or directory
    make: *** [Autoconfig] Error 1
    suse3:/usr/lpp/mmfs/src #

    Could you please guide me, how i can fix it?

    Thanks
    veera.

  • oester
    oester
    259 Posts

    Ответ: GPFS upgrade from 3.4 to 4.1

    ‏2018-12-06T12:58:13Z  

    I'm not sure I can be of much help, as 3.4 is so long out of service. You might check if you have the correct kernel sources installed.

     

    Bob